mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

You can get attributes for files and directories by calling the method, and you can set them by calling the method.

It is not possible to change the compression status of a object by using the method. Instead, you must actually compress the file using either a compression tool or one of the classes in the namespace.

Provides attributes for files and directories.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is a candidate for backup or removal.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is compressed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  Reserved for future use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is a directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file or directory is encrypted. For a file, this means that all data in the file is encrypted. For a directory, this means that encryption is the default for newly created files and directories.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is hidden, and thus is not included in an ordinary directory listing.

- Field
  4.0.0.0
  System.IO.FileAttributes

  The file or directory includes data integrity support. When this value is applied to a file, all data streams in the file have integrity support. When this value is applied to a directory, all new files and subdirectories within that directory, by default, include integrity support.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is a standard file that has no special attributes. This attribute is valid only if it is used alone.

- Field
  4.0.0.0
  System.IO.FileAttributes

  The file or directory is excluded from the data integrity scan. When this value is applied to a directory, by default, all new files and subdirectories within that directory are excluded from data integrity.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file will not be indexed by the operating system's content indexing service.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is offline. The data of the file is not immediately available.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file contains a reparse point, which is a block of user-defined data associated with a file or a directory.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is a sparse file. Sparse files are typically large files whose data consists of mostly zeros.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is a system file. That is, the file is part of the operating system or is used exclusively by the operating system.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.IO.FileAttributes To be added

  The file is temporary. A temporary file contains data that is needed while an application is executing but is not needed after the application is finished. File systems try to keep all the data in memory for quicker access rather than flushing the data back to mass storage. A temporary file should be deleted by the application as soon as it is no longer needed.